slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMEGetIterationNumber

Gets the current iteration number. If the call to LMESolve() is complete, then it returns the number of iterations carried out by the solution method.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEGetIterationNumber(LME lme,PetscInt *its)

Not Collective

### Input Parameter

| lme | - the linear matrix equation solver context

### Output Parameter

| its | - number of iterations

### Note

During the i-th iteration this call returns i-1. If LMESolve() is complete, then parameter "its" contains either the iteration number at which convergence was successfully reached, or failure was detected. Call LMEGetConvergedReason() to determine if the solver converged or failed and why.

### See Also

LMEGetConvergedReason(), LMESetTolerances()

### Level

intermediate

### Location

src/lme/interface/lmesolve.c

### Examples

src/lme/tutorials/ex32.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages